use crate::cards::StandardCard;
use crate::cards::StandardCardFace;

/// Deck of Cards used in BlackJack
/// Restrict to crate in alter version
pub(crate) const STANDARD_DECK_OF_CARDS: [StandardCard; 52] = [
    StandardCard::Hearts(StandardCardFace::Ace),
    StandardCard::Hearts(StandardCardFace::Two),
    StandardCard::Hearts(StandardCardFace::Three),
    StandardCard::Hearts(StandardCardFace::Four),
    StandardCard::Hearts(StandardCardFace::Five),
    StandardCard::Hearts(StandardCardFace::Six),
    StandardCard::Hearts(StandardCardFace::Seven),
    StandardCard::Hearts(StandardCardFace::Eight),
    StandardCard::Hearts(StandardCardFace::Nine),
    StandardCard::Hearts(StandardCardFace::Ten),
    StandardCard::Hearts(StandardCardFace::Jack),
    StandardCard::Hearts(StandardCardFace::Queen),
    StandardCard::Hearts(StandardCardFace::King),
    StandardCard::Spades(StandardCardFace::Ace),
    StandardCard::Spades(StandardCardFace::Two),
    StandardCard::Spades(StandardCardFace::Three),
    StandardCard::Spades(StandardCardFace::Four),
    StandardCard::Spades(StandardCardFace::Five),
    StandardCard::Spades(StandardCardFace::Six),
    StandardCard::Spades(StandardCardFace::Seven),
    StandardCard::Spades(StandardCardFace::Eight),
    StandardCard::Spades(StandardCardFace::Nine),
    StandardCard::Spades(StandardCardFace::Ten),
    StandardCard::Spades(StandardCardFace::Jack),
    StandardCard::Spades(StandardCardFace::Queen),
    StandardCard::Spades(StandardCardFace::King),
    StandardCard::Clubs(StandardCardFace::Ace),
    StandardCard::Clubs(StandardCardFace::Two),
    StandardCard::Clubs(StandardCardFace::Three),
    StandardCard::Clubs(StandardCardFace::Four),
    StandardCard::Clubs(StandardCardFace::Five),
    StandardCard::Clubs(StandardCardFace::Six),
    StandardCard::Clubs(StandardCardFace::Seven),
    StandardCard::Clubs(StandardCardFace::Eight),
    StandardCard::Clubs(StandardCardFace::Nine),
    StandardCard::Clubs(StandardCardFace::Ten),
    StandardCard::Clubs(StandardCardFace::Jack),
    StandardCard::Clubs(StandardCardFace::Queen),
    StandardCard::Clubs(StandardCardFace::King),
    StandardCard::Diamonds(StandardCardFace::Ace),
    StandardCard::Diamonds(StandardCardFace::Two),
    StandardCard::Diamonds(StandardCardFace::Three),
    StandardCard::Diamonds(StandardCardFace::Four),
    StandardCard::Diamonds(StandardCardFace::Five),
    StandardCard::Diamonds(StandardCardFace::Six),
    StandardCard::Diamonds(StandardCardFace::Seven),
    StandardCard::Diamonds(StandardCardFace::Eight),
    StandardCard::Diamonds(StandardCardFace::Nine),
    StandardCard::Diamonds(StandardCardFace::Ten),
    StandardCard::Diamonds(StandardCardFace::Jack),
    StandardCard::Diamonds(StandardCardFace::Queen),
    StandardCard::Diamonds(StandardCardFace::King),
];
